import logging
import smtplib
from email.mime.text import MIMEText
import os

def send_error_notification(error_message):
    try:
        msg = MIMEText(error_message)
        msg['Subject'] = 'Trading System Error Notification'
        msg['From'] = os.getenv('EMAIL_SENDER')
        msg['To'] = os.getenv('EMAIL_RECEIVER')

        with smtplib.SMTP('smtp.gmail.com', 587) as server:
            server.starttls()
            server.login(os.getenv('EMAIL_SENDER'), os.getenv('EMAIL_PASSWORD'))
            server.send_message(msg)
        logging.info("Error notification sent successfully.")
    except Exception as e:
        logging.error(f"Failed to send error notification: {e}")

def log_and_notify_error(error_message):
    logging.error(error_message)
    send_error_notification(error_message)
